Bug 1438594 - Playbooks are not deleted if ansible inventory deleted
Summary: Playbooks are not deleted if ansible inventory deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.0
Assignee: James Wong
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1437108
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 21:33 UTC by Satoe Imaishi
Modified: 2017-05-31 14:46 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1437108
Environment:
Last Closed: 2017-05-31 14:46:04 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-03 21:41:08 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/6b6fc31328020bf0182ece02a5708dbf7b6b9a6c

commit 6b6fc31328020bf0182ece02a5708dbf7b6b9a6c
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Mon Apr 3 14:45:44 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 3 17:33:32 2017 -0400

    Merge pull request #14567 from jameswnl/nullify-dependents
    
    Nullify dependents when destroying configuration_script_sources/configuration_scripts
    (cherry picked from commit 2875c6caf47fae1fce9467e5191862ebc59188b3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438594

 app/models/configuration_script_base.rb   | 5 ++++-
 app/models/configuration_script_source.rb | 2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

Comment 3 James Wong 2017-04-07 22:48:55 UTC
https://github.com/ManageIQ/manageiq/pull/14567 is merged

Comment 4 Dmitry Misharov 2017-05-02 09:08:46 UTC
Verified in 5.8.0.12-rc1.20170425180304_4f35996. Playbooks are deleted when a repository is deleted.

Comment 6 errata-xmlrpc 2017-05-31 14:46:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.